<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
	<head>
		<title>Credits and Legal Notices</title>
		<link rel="stylesheet" href="nbdocs://org.netbeans.modules.usersguide/org/netbeans/modules/usersguide/ide.css" type="text/css">
	</head>
	<body>
		<h1>Credits and Legal Notices</h1>
		<p>
			Below credits are given to third-party components that
			the NbJGit module uses. Here you will also find information
			about their individual terms of licensing.
		</p>
		
		<h3>The Mercurial and NbGit plugins</h3>
		<p>
			Most of the core plugin code in NbJGit is based on code
			from NbGit (a git CLI-based Netbeans plugin), which in
			terms borrows its code from the Mercurial and Subversion
			plugins.
		</p>
		<p>
			The Mercurial and Subversion code is dual licensed under
			the Common Development and Distribution License("CDDL")
			and the GNU General Public License Version 2 only ("GPL")
			with the "Classpath" exception. NbGit is licensed under
			the GNU General Public License Version 2 only ("GPL")
			with the "Classpath" exception.
		</p>
		<ul>
			<li>
				The license can be view at:<br/>
				<object classid="java:org.netbeans.modules.javahelp.BrowserDisplayer">
					<param name="content" value="http://www.netbeans.org/cddl-gplv2.html"/>
					<param name="text" value="<html><u>http://www.netbeans.org/cddl-gplv2.html</u></html>"/>
					<param name="textFontSize" value="medium">
					<param name="textColor" value="blue"/>
				</object>
			</li>
		</ul>

		<h3>JGit / EGit</h3>
		<p>
			JGit is a pure Java implementation of Git. The library
			is what makes it possible for NbJGit to be a truely
			cross platform, easy-to-install Netbeans plugin. NbJGit's
			sibling project EGit, an Eclipse plugin, along with the
			JGit example programs has served as an excellent source
			of inspiration for working with JGit.
		</p>
		<p>
			JGit is distributed under a BSD-style license.
			The license is available in the source repository as
			<code>release/modules/ext/org-spearce-jgit.LICENSE.txt</code>.
			EGit is distributed under the Eclipse Public License v1.0.
		</p>
		<ul>
			<li>
				More info about JGit/EGit can be found at:<br/>
				<object classid="java:org.netbeans.modules.javahelp.BrowserDisplayer">
					<param name="content" value="http://code.google.com/p/egit/"/>
					<param name="text" value="<html><u>http://code.google.com/p/egit/</u></html>"/>
					<param name="textFontSize" value="medium">
					<param name="textColor" value="blue"/>
				</object>
			</li>
			<li>
				The specific license for JGit can be found at:<br/>
				<object classid="java:org.netbeans.modules.javahelp.BrowserDisplayer">
					<param name="content" value="http://repo.or.cz/w/egit.git?a=blob;f=org.spearce.jgit/LICENSE;hb=HEAD"/>
					<param name="text" value="<html><u>http://repo.or.cz/w/egit.git?a=blob;f=org.spearce.jgit/LICENSE;hb=HEAD</u></html>"/>
					<param name="textFontSize" value="medium">
					<param name="textColor" value="blue"/>
				</object>				
			</li>
		</ul>
		
		<h3>JSch</h3>
		<p>
			The SSH transport support in JGit uses JSch. To easy
			installation the version distributed with the JGit/EGit
			project is included in this project. However, Netbeans
			seem to include its own JSch jar file so it might be
			possible to remove this dependency in the future.
		</p>
		<p>
			JSch is distributed under a BSD-style license.
			The license is available in the source repository as
			<code>release/modules/ext/com-jcraft-jsch.LICENSE.txt</code>.
		</p>
		
		<h3>Git Icon</h3>
		<p>
			The Git icon used for "branding" the status and history
			tabs is made by Henrik Nyh.
		</p>
		<p>
			Regarding license, the blog post that announced this
			alternative logo for Git states that anyone is 
			"Free to modify and redistribute with due credit,
			and obviously free to use".
		</p>
		<ul>
			<li>
				The blog post can be found at:<br/>
				<object classid="java:org.netbeans.modules.javahelp.BrowserDisplayer">
					<param name="content" value="http://henrik.nyh.se/2007/06/alternative-git-logo-and-favicon">
					<param name="text" value="<html><u>http://henrik.nyh.se/2007/06/alternative-git-logo-and-favicon</u></html>">
					<param name="textFontSize" value="medium">
					<param name="textColor" value="blue">
				</object>
			</li>
			<li>
				Other versions can be found at:<br/>
				<object classid="java:org.netbeans.modules.javahelp.BrowserDisplayer">
					<param name="content" value="http://git.or.cz/gitwiki/GitRelatedLogos">
					<param name="text" value="<html><u>http://git.or.cz/gitwiki/GitRelatedLogos</u></html>">
					<param name="textFontSize" value="medium">
					<param name="textColor" value="blue">
				</object>
			</li>
		</ul>
		
	</body>
</html>